com.trendmicro.ds.appcontrol.rest.object.drift

## Class ListApplicationDriftResponse

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.ListApplicationDriftResponse

-     public class ListApplicationDriftResponse
      extends java.lang.Object

  Response object for the ListApplicationDrift API.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ListApplicationDriftResponse.Item` A list item, i.e.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListApplicationDriftResponse()`
    `ListApplicationDriftResponse(int total, java.util.List<ListApplicationDriftResponse.Item> items)`
    `ListApplicationDriftResponse(int total, ListApplicationDriftResponse.Item... items)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(ListApplicationDriftResponse.Item... toAdd)` Add application drift items that matched the search scope.
    `boolean` | `getCountOverMaximum()` Get whether there are more eligible results than could be counted.
    `java.util.List<ListApplicationDriftResponse.Item>` | `getItems()` Get the list of application drift items that matched the search scope.
    `int` | `getTotal()` Get the number of results, including those excluded by pagination parameters.
    `void` | `setCountOverMaximum(boolean countOverMaximum)` Set whether there are more eligible results than could be counted.
    `void` | `setItems(java.util.List<ListApplicationDriftResponse.Item> items)` Set the list of application drift items that matched the search scope.
    `void` | `setTotal(int total)` Set the number of results, including those excluded by pagination parameters.
    `ListApplicationDriftResponse` | `withItems(java.util.List<ListApplicationDriftResponse.Item> items)` Set the list of application drift items that matched the search scope.
    `ListApplicationDriftResponse` | `withTotal(int total)` Set the number of results, including those excluded by pagination parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListApplicationDriftResponse

          public ListApplicationDriftResponse()

    - #### ListApplicationDriftResponse

          public ListApplicationDriftResponse(int total,
                                              java.util.List<ListApplicationDriftResponse.Item> items)

    - #### ListApplicationDriftResponse

          public ListApplicationDriftResponse(int total,
                                              ListApplicationDriftResponse.Item... items)

  - ### Method Detail

    - #### add

          public void add(ListApplicationDriftResponse.Item... toAdd)

      Add application drift items that matched the search scope.
      Parameters:
        `toAdd` - the application drift items that matched the search scope to add.

    - #### getItems

          public java.util.List<ListApplicationDriftResponse.Item> getItems()

      Get the list of application drift items that matched the search scope.
      Returns:
        the list of application drift items that matched the search scope.

    - #### setItems

          public void setItems(java.util.List<ListApplicationDriftResponse.Item> items)

      Set the list of application drift items that matched the search scope.
      Parameters:
        `items` - the list of application drift items that matched the search scope.

    - #### withItems

          public ListApplicationDriftResponse withItems(java.util.List<ListApplicationDriftResponse.Item> items)

      Set the list of application drift items that matched the search scope.
      Parameters:
        `items` - the list of application drift items that matched the search scope.
      Returns:
        the updated `ListApplicationDriftResponse` object.

    - #### getTotal

          public int getTotal()

      Get the number of results, including those excluded by pagination parameters.
      Returns:
        the number of results, including those excluded by pagination parameters.

    - #### setTotal

          public void setTotal(int total)

      Set the number of results, including those excluded by pagination parameters.
      Parameters:
        `total` - the number of results, including those excluded by pagination parameters.

    - #### withTotal

          public ListApplicationDriftResponse withTotal(int total)

      Set the number of results, including those excluded by pagination parameters.
      Parameters:
        `total` - the number of results, including those excluded by pagination parameters.
      Returns:
        the updated `ListApplicationDriftResponse` object.

    - #### getCountOverMaximum

          public boolean getCountOverMaximum()

      Get whether there are more eligible results than could be counted.
      Returns:
        whether there are more eligible results than could be counted.

    - #### setCountOverMaximum

          public void setCountOverMaximum(boolean countOverMaximum)

      Set whether there are more eligible results than could be counted.
      Parameters:
        `countOverMaximum` - whether there are more eligible results than could be counted.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.